Bug 84400 - setPageScaleFactor should setScrollPosition if scale is unchanged
Summary: setPageScaleFactor should setScrollPosition if scale is unchanged
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Alexandre Elias
URL:
Keywords:
Depends on:
Blocks: 66687
  Show dependency treegraph
 
Reported: 2012-04-19 16:23 PDT by Alexandre Elias
Modified: 2012-05-09 16:46 PDT (History)
9 users (show)

See Also:


Attachments
Patch (2.42 KB, patch)
2012-04-19 16:29 PDT, Alexandre Elias
no flags Details | Formatted Diff | Diff
Patch (4.93 KB, patch)
2012-04-20 16:50 PDT, Alexandre Elias
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ec2-cr-linux-04 (6.23 MB, application/zip)
2012-04-20 19:00 PDT, WebKit Review Bot
no flags Details
Patch (4.87 KB, patch)
2012-04-20 20:03 PDT, Alexandre Elias
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandre Elias 2012-04-19 16:23:03 PDT
setPageScaleFactor should setScrollPosition if scale is unchanged
Comment 1 Alexandre Elias 2012-04-19 16:29:43 PDT
Created attachment 138001 [details]
Patch
Comment 2 Kenneth Rohde Christiansen 2012-04-19 16:47:03 PDT
Comment on attachment 138001 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=138001&action=review

Looks good, but a better explanation for the lack of tests is needed

> Source/WebCore/ChangeLog:14
> +        No new tests.

Why?
Comment 3 Alexandre Elias 2012-04-20 16:50:37 PDT
Created attachment 138198 [details]
Patch
Comment 4 Alexandre Elias 2012-04-20 16:51:25 PDT
OK, I added a layout test case.
Comment 5 WebKit Review Bot 2012-04-20 19:00:46 PDT
Comment on attachment 138198 [details]
Patch

Attachment 138198 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/12482328

New failing tests:
fast/events/scale-and-scroll-body.html
Comment 6 WebKit Review Bot 2012-04-20 19:00:52 PDT
Created attachment 138213 [details]
Archive of layout-test-results from ec2-cr-linux-04

The attached test failures were seen while running run-webkit-tests on the chromium-ews.
Bot: ec2-cr-linux-04  Port: <class 'webkitpy.common.config.ports.ChromiumXVFBPort'>  Platform: Linux-2.6.35-28-virtual-x86_64-with-Ubuntu-10.10-maverick
Comment 7 Alexandre Elias 2012-04-20 20:03:30 PDT
Created attachment 138218 [details]
Patch
Comment 8 Adam Barth 2012-05-09 16:24:08 PDT
Comment on attachment 138218 [details]
Patch

Based on kenneth's comment below and the new test, it looks like this is ready to go.  Thanks.
Comment 9 WebKit Review Bot 2012-05-09 16:43:17 PDT
Comment on attachment 138218 [details]
Patch

Clearing flags on attachment: 138218

Committed r116574: <http://trac.webkit.org/changeset/116574>
Comment 10 WebKit Review Bot 2012-05-09 16:43:34 PDT
All reviewed patches have been landed.  Closing bug.
Comment 11 Eric Seidel (no email) 2012-05-09 16:46:30 PDT
Do all ports have this bug and it just hasn't been noticed before?